from __future__ import annotations

from typing import Optional

from clarabot_nano_common.utility.handlers import AbstractHandler


class AbstractStateUpdateHandler(AbstractHandler):
    def __init__(self, state: dict, local: dict):
        self._s = state
        self._l = local

    def get_new_state_kvs(self, data: dict) -> Optional[dict]:
        raise NotImplementedError()
